.nft{
    width: 100%;
    /* border: 1px solid #ffffff22; */
    background-color: #282c34;
    background: #181818;
    box-shadow: 0 7px 20px 5px #00000088;
    border-radius: 20px;
    backdrop-filter: blur(7px);
    -webkit-backdrop-filter: blur(7px);
    overflow: hidden;
    transition: .3s all;
}

.nft::after{
    content: '';
    padding-top: 50%;
    display: block;
}
.main{
    position: absolute;
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 5% 10%;
    gap: 10px;
    top: 50%;
    transform: translateY(-50%);
    height: 100%;
    justify-content: space-evenly;
}
.description{
    color: #a89ec9;
    display: inline-flex;
    gap: 5px;
}

.tokenInfo{
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.nft::before{
    position: fixed;
    content: "";
    box-shadow: 0 0 100px 40px #ffffff08;
    top: -10%;
    left: -100%;
    transform: rotate(-45deg);
    height: 60rem;
    transition: .7s all;
}

.price{
    display: flex;
    align-items: center;
    color: #ee83e5;
    font-weight: 700;
}
.duration{
    display: flex;
    align-items: center;
    color: #a89ec9;
    margin-right: .2rem;
}
.creator{
display: flex;
align-items: center;
margin-top: .2rem;
margin-bottom: -.3rem;
}
.nft ins{
    color: #a89ec9;
    text-decoration: none;
}
.wrapper{
    display: flex;
    align-items: center;
    border: 1px solid #ffffff22;
    padding: .3rem;
    margin: 0;
    margin-right: .5rem;
    border-radius: 100%;
    box-shadow: inset 0 0 0 4px #000000aa;
}
.nft:hover{
    /* border: 1px solid #ffffff44; */
    box-shadow: 0 7px 50px 10px #000000aa;
    transform: scale(1.015);
    filter: brightness(1.3);
}

.nft:hover::before{
    filter: brightness(.5);
    top: -100%;
    left: 200%;
}

.bg{
position: fixed;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
}